<style lang="scss">
	/* 注意要写在第一行，同时给style标签加入lang="scss"属性 */
	@import "@/uni_modules/uview-ui/index.scss";
</style>
<script>
    import website from '@/config/website.js'
	import {
		mapGetters
	} from 'vuex'
	// #ifdef H5
	import {
		setPlatformByHostName
	} from '@/untils/customized.js'
	// #endif

	export default {
		onLaunch: function(options) {
            if(options.query.token) {
                  uni.reLaunch({
                      url: '/pages/login/blank?token=' + options.query.token
                  })
            } else if (this.$store.state.user.token) {
				this.$store.dispatch('startRefreshTokenTimer')
				this.$store.dispatch('startRefreshNewsTimer')
				this.$store.dispatch('refreshAuthState')
			}
			// #ifdef H5
			// 企业定制
			setPlatformByHostName(this.$store)
			// #endif
		},
		onShow: function() {},
		onHide: function() {},
		computed: {
			...mapGetters(['news']),
			allUnread() {
				return this.news.allUnread
			}
		},
		watch: {
			allUnread(value) {
				if (!this.$store.state.user.token) {} else if (value > 0) {
					uni.showTabBarRedDot({
						index: 2
					})
					uni.$once('newsReadChange', () => {
						uni.showTabBarRedDot({
							index: 2
						})
					})
				} else {
					uni.hideTabBarRedDot({
						index: 2
					})
					uni.$once('newsReadChange', () => {
						uni.hideTabBarRedDot({
							index: 2
						})
					})
				}
			}
		}
	};
</script>

<style>
	/*每个页面公共css */
	/* tabbar 字体大小 */
	/* .uni-tabbar__label{
	font-size: 14px !important;
	} */
</style>
